import request from '@/config/axios'

// 获取学校基本信息
export const getSchoolInformation = async () => {
	return await request.post({
		url: '/app-api/flames/school/information'
	})
}

// 注册学校账号
export const schoolRegister = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/register',
		data
	})
}

// 学校认证信息被拒绝后修改
export const schoolUpdate = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/update',
		data
	})
}

// 根据学校id获取审核拒绝信息
export const getSchoolAuditById = async (data) => {
	return await request.post({
		url: '/app-api/flames/user/auth/record/get',
		data
	})
}

// 学校信息编辑
export const schoolBaseInfoEdit = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/basic/update',
		data
	})
}

// 院系信息编辑
export const schoolDepartmentEdit = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/department/saves',
		data
	})
}

// 学校组织查询
export const schoolOrganization = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/organization',
		data
	})
}

// 学生列表
export const studentList = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/list',
		data
	})
}

// 学生详情
export const stuDetail = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/detail',
		data
	})
}

// 实习证书
export const certificateList = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/internship/certificate/list',
		data
	})
}

// 推荐信
export const recommendationList = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/recommendation/list',
		data
	})
}

// 学生实习情况
export const studentPracticeStatistics = async (data) => {
	return await request.post({
		url: '/app-api/flames/school/student/internship/statistics',
		data
	})
}

// 实习企业列表
export const internshipCompanyList = async (data) => {
	return await request.post({
		url: '/app-api/flames/enterprise/school/practice/list',
		data
	})
}
